# HG changeset patch
# User Tatsuhiko Kubo <cubicdaiya@gmail.com>
# Date 1372689447 -32400
# Node ID cd8fd5cd74294554bb3777821e8703cf0fdf61d7
# Parent  b66ec10e901a6fa0fc19937ceeb52b5ea1fbb706
Valgrind: the complaint about uninitialized bytes in epoll_data_t.

diff -r b66ec10e901a -r cd8fd5cd7429 src/event/modules/ngx_epoll_module.c
--- a/src/event/modules/ngx_epoll_module.c	Fri Jun 28 13:55:05 2013 +0400
+++ b/src/event/modules/ngx_epoll_module.c	Mon Jul 01 23:37:27 2013 +0900
@@ -417,6 +417,9 @@
     }
 
     ee.events = events | (uint32_t) flags;
+
+    ngx_memzero(&ee.data, sizeof(epoll_data_t));
+
     ee.data.ptr = (void *) ((uintptr_t) c | ev->instance);
 
     ngx_log_debug3(NGX_LOG_DEBUG_EVENT, ev->log, 0,
